import request from '@/utils/request'
// 登录方法
export function login(username, password, code,type, uuid) {
  const data = {
    username,
    password,
    code,
	type,
    uuid
  }
  return request({
    'url': '/login',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/getInfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}
// 获取手机验证码
export function sendSmsFn(data) {
  return request({
    'url': '/sendSms/'+data,
    'method': 'get'
  })
}
export function sendSmsOnly(data) {
  return request({
    'url': '/sendSms/sendLoginSms',
    'method': 'POST',
	data:data
  })
}
export function sendSmszcOnly(data) {
  return request({
    'url': '/sendSms/sendRegisterSms',
    'method': 'POST',
	data:data
  })
}
